Add colors to run script for contract migrations

This commit is contained in:
nolash
2021-06-10 07:16:59 +02:00
parent 03ac6633a2
commit ba0dc9371e
5 changed files with 18 additions and 10 deletions

View File

@@ -1,3 +1,3 @@
erc20-demurrage-token==0.0.1b1
eth-contract-registry==0.5.5a3
erc20-demurrage-token==0.0.1b4
eth-address-index==0.1.1a12

View File

@@ -1,5 +1,4 @@
cic-base[full_graph]==0.1.2b17
cic-base[full]==0.1.2b18
sarafu-faucet~=0.0.3a4
erc20-demurrage-token==0.0.1b1
cic-eth~=0.11.0b16
cic-eth~=0.11.0b17
erc20-demurrage-token==0.0.1b4

View File

@@ -77,7 +77,6 @@ if [[ -n "${ETH_PROVIDER}" ]]; then
>&2 echo "deploying 'redistributed demurrage token'"
DEV_RESERVE_ADDRESS=`erc20-demurrage-token-deploy $gas_price_arg -p $ETH_PROVIDER -y $DEV_ETH_KEYSTORE_FILE -i $CIC_CHAIN_SPEC -vv -ww`
fi
exit 0
giftable-token-gift $gas_price_arg -p $ETH_PROVIDER -y $DEV_ETH_KEYSTORE_FILE -i $CIC_CHAIN_SPEC -vv -w -a $DEV_RESERVE_ADDRESS $DEV_RESERVE_AMOUNT
>&2 echo "deploy account index contract"

View File

@@ -2,13 +2,22 @@
if [[ $((RUN_MASK & 1)) -eq 1 ]]
then
>&2 echo -e "\033[;96mRUNNING\033[;39m RUN_MASK 1 - contract deployment"
./reset.sh
if [ $? -ne "0" ]; then
exit 1;
>&2 echo -e "\033[;31mFAILED\033[;39m RUN_MASK 1 - contract deployment"
exit 1;
fi
>&2 echo -e "\033[;32mSUCCEEDED\033[;39m RUN_MASK 1 - contract deployment"
fi
if [[ $((RUN_MASK & 2)) -eq 2 ]]
then
>&2 echo -e "\033[;96mRUNNING\033[;39m RUN_MASK 2 - custodial service initialization"
./seed_cic_eth.sh
if [ $? -ne "0" ]; then
>&2 echo -e "\033[;31mFAILED\033[;39m RUN_MASK 2 - custodial service initialization"
exit 1;
fi
>&2 echo -e "\033[;32mSUCCEEDED\033[;39m RUN_MASK 2 - custodial service initialization"
fi